[Prev: FASTTEMPFILES] | [Resources][TOC] | [Next: FIELDSBEG]

# FIELDORDER

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  `<FIELDORDER>
  ` 1st-field-name
  2nd-field-name
  ...
  `</FIELDORDER>
  `

Command-line Option

  N/A

## Description

The FIELDORDER resource allows you to control the order the message header fields appear in the HTML output.

Each line of the <FIELDORDER> element is the exact case-insensitive name of a message header field. The order the fields are listed is the order they will appear in the filtered message. The special field value "`-extra-`" represents all fields not explicitly specified in the <FIELDORDER> element and not excluded by the EXCS resource. Extra fields are listed in sorted order.

If `-extra-` is not specified, then only the fields listed will be displayed.

NOTE: | EXCS takes precedence over the FIELDORDER resource. Therefore, any field matched by EXCS will always be excluded regardless if the field is listed in FIELDORDER.

## Default Setting

    <FieldOrder>
    to
    subject
    from
    date
    -extra-
    </FieldOrder>

## Resource Variables

N/A

## Examples

None.

## Version

1.0

## See Also

EXCS, FIELDSBEG, FIELDSEND, FIELDSTYLES, FLDBEG, FLDEND, LABELBEG, LABELEND, LABELSTYLES

[Prev: FASTTEMPFILES] | [Resources][TOC] | [Next: FIELDSBEG]